API referenceDiscord
POST /discord/guilds/{guildId}/events
Create a scheduled event: external (location and endsAt), voice or stage (channelId). Needs Manage Events
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
guildId*stringDiscord server (guild) id
application/json- body
accountId*stringname*stringLength
length <= 100description?stringLength
length <= 1000startsAt*stringISO 8601, in the future
Format
date-timeentity*|imageDataUri?stringCover image as a base64 data URI (PNG, JPEG, GIF)
{data}
application/json- response
data?Discord's scheduled event, verbatim
curl -X POST 'https://example.com/api/v1/discord/guilds/string/events' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "name": "string", "startsAt": "2019-08-24T14:15:22Z", "entity": { "type": "external", "location": "string", "endsAt": "2019-08-24T14:15:22Z" }}'Example Response
{ "data": { "id": "string", "guild_id": "string", "channel_id": "string", "creator_id": "string", "name": "string", "description": "string", "scheduled_start_time": "string", "scheduled_end_time": "string", "privacy_level": 2, "status": 1, "entity_type": 1, "entity_id": "string", "entity_metadata": {}, "user_count": 0, "image": "string" }}